# SolrQuery::setHighlightAlternateField

(PECL solr >= 0.9.2)

SolrQuery::setHighlightAlternateField — Spécifie le champ de sauvegarde à utiliser

### Description

public SolrQuery::setHighlightAlternateField(string `$field`, string `$field_override` = ?): SolrQuery

Si un extrait ne peut être généré en raison de termes ne correspondant pas, la méthode peut spécifier un champ à utiliser comme sauvegarde ou comme résumé par défaut.

### Liste de paramètres

`field`

  Le nom du champ de sauvegarde

`field_override`

  Le nom du champ qui sera écrasé par cette configuration.

### Valeurs de retour

Retourne l'objet SolrQuery courant, si la valeur retournée est utilisée.